| Bsoft 2.0.5 Bernard's software package

Functions
rwPIR.h File Reference

Header file for reading and writing PIR sequence files. More...

`#include "rwmolecule.h"`

Go to the source code of this file.

## Functions
int | readPIR (Bstring &filename, Bmolgroup *molgroup)
| Reads PIR format sequence files. More...
int | writePIR (Bstring &filename, Bmolgroup *molgroup)
| Writes PIR format sequence files. More...

## Detailed Description

Header file for reading and writing PIR sequence files.

Author
  Bernard Heymann

Date
  Created: 19990123
  Modified: 20000729 Format: Protein sequence file format

Definition in file rwPIR.h.

## Function Documentation

## ◆ readPIR()

int readPIR | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads PIR format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      PIR format:
      >P1;BAC1_HALS1
      BAC1_HALS1, 308 bases, DC74A5E6 checksum.
       -------&mdash; &mdash;MDPIALT AAVGADLLGD GRPETLWLGI GTLLMLIGTF
       ASAAD&mdash;*

Definition at line 29 of file rwPIR.cpp.

## ◆ writePIR()

int writePIR | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes PIR format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 109 of file rwPIR.cpp.